package cn.com.taiji.controller;

import cn.com.taiji.entity.QueryVo;
import cn.com.taiji.service.BeidouAnalySisService;
import cn.com.taiji.utils.ExcelUtils;
import cn.com.taiji.vo.ExportVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @author chenfangchao
 * @title: BeidouAnalySisController
 * @projectName es-track-analysis
 * @description: TODO
 * @date 2023/2/7 10:59 AM
 */
@RequestMapping("/beidou")
@RestController
public class BeidouAnalySisController {

    @Autowired
    private BeidouAnalySisService beidouAnalySisService;

    @PostMapping("/export")
    public void beidouAnalySis(HttpServletResponse response, @RequestBody QueryVo query) {
        try {
            List<ExportVo> list = beidouAnalySisService.export(query);
            ExcelUtils.export2Web(response, "北斗", "天奥", ExportVo.class, list);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
