package cn.com.taiji.controller;

import cn.com.taiji.service.SimulationTrackService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author chenfangchao
 * @title: SimulationTrackController
 * @projectName es-track-analysis
 * @description: TODO
 * @date 2023/2/7 5:15 PM
 */
@RequestMapping("/track")
@RestController
public class SimulationTrackController {

    @Autowired
    private SimulationTrackService simulationTrackService;


    @GetMapping("/beidou")
    public void beidouTrack(){
        simulationTrackService.beidouTrack();
    }

    @GetMapping("/ais")
    public void aisTrack(){
        simulationTrackService.aisTrack();
    }

}
