package cn.com.taiji.domain;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * @author xhl
 * @date 2023/2/6
 */
public class FusionData {

    /**
     * 批次号
     */
    @ExcelProperty(index = 0,value = "批次号")
    private String mergeTarget;

    /**
     * 批次开始时间
     */
    @ExcelProperty(index = 1,value = "批次开始时间")
    private String startTime;

    /**
     * 批次结束时间
     */
    @ExcelProperty(index = 2,value = "批次结束时间")
    private String endTime;

    /**
     * 融合轨迹点总数
     */
    @ExcelProperty(index = 3,value = "融合轨迹点总数")
    private Long trackCount;

    /**
     * 波动次数
     */
    @ExcelProperty(index = 4,value = "波动次数")
    private Integer fluctuateNumber;

    public String getMergeTarget() {
        return mergeTarget;
    }

    public void setMergeTarget(String mergeTarget) {
        this.mergeTarget = mergeTarget;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Long getTrackCount() {
        return trackCount;
    }

    public void setTrackCount(Long trackCount) {
        this.trackCount = trackCount;
    }

    public Integer getFluctuateNumber() {
        return fluctuateNumber;
    }

    public void setFluctuateNumber(Integer fluctuateNumber) {
        this.fluctuateNumber = fluctuateNumber;
    }
}
