package cn.com.taiji.controller;

import cn.com.taiji.entity.QueryVo;
import cn.com.taiji.service.HlxOneLevelService;
import cn.com.taiji.utils.ExcelUtils;
import cn.com.taiji.vo.ExportVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @author chenfangchao
 * @title: HlxOneLevelController
 * @projectName es-track-analysis
 * @description: TODO
 * @date 2023/2/7 4:53 PM
 */
@RequestMapping("/hlx")
@RestController
public class HlxOneLevelController {

    @Autowired
    private HlxOneLevelService hlxOneLevelService;

    @PostMapping("/export")
    public void hlx(HttpServletResponse response, @RequestBody QueryVo query) {
        try {
            List<ExportVo> list = hlxOneLevelService.hlx(query);
            ExcelUtils.export2Web(response, "海兰信", "海兰信", ExportVo.class, list);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
